<?php
require_once 'calendar.class.php';
require_once 'user_validate.php';

valid_user();

include_once 'config.inc.php';
require_once 'helper.php';

if (! defined($_SESSION['__ROOT__']) && empty($_SESSION['__ROOT__'])) {
    session_destroy();
    header('Location: ' . WEB_ROOT . 'error.html');
    exit;
}
$path = dirname($_SERVER['PHP_SELF']);
$url = "$path/edit_event.php";
$_SESSION['EVENT_ACTION'] = 'NEW';
$calendars = $_SESSION['user_settings']->getCalendars();
$query = construct_URL($_SERVER['QUERY_STRING'],
		array('etag', 'referer', 'cal'));

if (count($calendars) < 1) {
	header('Location: ' . WEB_ROOT . "utils/configure.php");
	exit;
}
else if (count($calendars) == 1) {
	$options = "?referer=".$query['referer'];
	$options .= "&cal=" . current($calendars)->name;
	header('Location: ' . $url . $options);
	//print "$url$options<br/>";
	exit;
}
else {
    $cal = current($calendars)->name;
	$text = '<p>';
	$text .= '<form style="text-align: center" action="'.$url.'" method="get">';
	$text .= '<input type="hidden" name="referer" value="'.$query['referer'].'" />';
	$text .= 'Choose Calender: ';
	$text .= '<select name="cal">';
	foreach ($calendars as $calendar) {
		$text .= '<option value="'.$calendar->name.'">'.$calendar->name.'</option>';
	}
    $text .= '</select><br/><br/>';
    $text .= '<input type="submit" value="Continue" />';
    $text .= '</form></p>';
	print popup_window($text, $query['referer']."?cal=$cal");
	exit;
}
?>